#!/bin/bash -x
#SBATCH --account=hku28
#SBATCH --nodes=32
#SBATCH --ntasks=32
#SBATCH --ntasks-per-node=1
#SBATCH --output=./slurm_dales-%j.out
#SBATCH --error=./slurm_error-%j.out
#SBATCH --time=22:10:10
#SBATCH --partition=batch

# Note: The current working directory at this point is
# the directory where sbatch was executed.

echo "Starting run"

export OMP_NUM_THREADS=${SLURM_CPUS_PER_TASK}

# load modules
module load Intel/2019.0.117-GCC-7.3.0
module load IntelMPI/2019.0.117
module load HDF
module load netCDF
module load netCDF-Fortran/4.4.4
# module load CMake


# set a few variables
    export DALES_EXECUTABLE='dales4'
    export busyfile='runDALES_busy.txt'
    export RUNLOG='./runlog.txt'

echo "# of nodes, tasks:" $SLURM_NNODES $SLURM_NTASKS

# adding a busy file 
echo "runDALES job ${SLURM_JOB_ID} is busy ... don't interfere!" > $busyfile

#LD_LIBRARY_PATH="$LD_LIBRARY_PATH:/home/rneggers/bin/netcdf-4.3.0_ifort/lib"
#LD_LIBRARY_PATH="$LD_LIBRARY_PATH:/opt/rrzk/lib/netcdf/4.1.3/lib"
#LD_LIBRARY_PATH="$LD_LIBRARY_PATH:/opt/rrzk/lib/netcdf/4.1.3-gcc-4.8.2/lib"

srun ${DALES_EXECUTABLE}>$RUNLOG
#or:  srun -n $SLURM_NTASKS ${DALES_EXECUTABLE}>$RUNLOG

rm $busyfile

